import Space from './space'
import Ellipsis from './ellipsis'

const components = {
    Space,
    Ellipsis,
};

// 全量引入组件
const install = function (Vue) {
    if (install.installed) return;
    Object.keys(components).forEach(key => {
        Vue.component(components[key].name, components[key]);
    });
}
const API = {install,};
export default API;
