// <div  v-offsetwidth="
//           ({ width }) => {
//             this.tableOffsetWidth = width
//           }">这个div大小变化时响应事件</div>
const offsetwidth = {
  // install方法
  install(Vue, option) {
    Vue.directive('offsetwidth', {
      bind(el, binding) {
        offsetwidth.bind(el, binding)
      },
      unbind(el) {
        offsetwidth.unbind(el)
      },
    })
  },
  // value -> onResize
  bind(el, { value }) {
    function isReize() {
      const width = el.offsetWidth
      value({ width, el })
    }

    el.__vueSetInterval__stretchheight__ = setInterval(isReize, 300)
  },
  // 指令与元素解绑的时候，移除事件绑定
  unbind(el) {
    // console.log(el, "解绑");
    clearInterval(el.__vueSetInterval__stretchheight__)
  }
}

export default offsetwidth
