/*
 * ATTENTION: The "eval" devtool has been used (maybe by default in mode: "development").
 * This devtool is neither made for production nor for readable output files.
 * It uses "eval()" calls to create a separate source file in the browser devtools.
 * If you are trying to read the output file, select a different devtool (https://webpack.js.org/configuration/devtool/)
 * or disable the default devtool with "devtool: false".
 * If you are looking for production-ready output files, see mode: "production" (https://webpack.js.org/configuration/mode/).
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["easy-project-directives"] = factory();
	else
		root["easy-project-directives"] = factory();
})(this, function() {
return /******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./directives/modules/expandclick.js":
/*!*******************************************!*\
  !*** ./directives/modules/expandclick.js ***!
  \*******************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_isStringEmpty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/isStringEmpty */ \"./utils/isStringEmpty.js\");\n/**\r\n * expandclick 图标点击事件触发区域扩大器\r\n * @params {element} el是目标元素\r\n * 注意：\r\n * 1.加指令的元素必须是定位元素!\r\n * 2.传递参数的时候，因为考虑到居中问题，建议传递一样的参数值，确保可以居中。\r\n * 3.绑定指令的元素 不能设置overflow属性 否则会失去效果。\r\n *\r\n * @example\r\n * <div><i v-expandclick:10*20*30*40></i></div>\r\n * v-expandclick:10  一个值代表上下左右\r\n * v-expandclick:10*20   两个值对应【上下】【左右】\r\n * v-expandclick:10*20*30  三个值对应 【上】【左右】【下】\r\n * v-expandclick:10*20*30*40  四个值对应 【上】【右】【下】【左】\r\n * v-expandclick     不填参数则默认为10px间距\r\n * 总结一下，规则就跟css的margin、padding的值填写规则一样。\r\n */\r\n\r\n\r\nconst expandclick = {\r\n    // install方法\r\n    install(Vue, option) {\r\n        //expandSize 默认的扩展热区半径(单位px)\r\n        let expandSize = 10\r\n        if (option && option.expandSize && typeof option.expandSize === 'number') {\r\n            expandSize = option.expandSize\r\n        }\r\n        Vue.directive('expandclick', {\r\n            inserted(el, binding) {\r\n                expandclick.inserted(el, binding, expandSize)\r\n            }\r\n        })\r\n    },\r\n    /**\r\n     * 自定义指令的钩子函数 inserted 被绑定元素插入父节点时调用（父节点存在即可调用，不必存在于 document 中）\r\n     * @param  {element} $el - 目标dom元素\r\n     * @param  {object} binding - 指令对象\r\n     */\r\n    inserted($el, binding, expandSize) {\r\n        try {\r\n            const pos = window.getComputedStyle($el)\r\n            if (!pos.position || pos.position === 'static') {\r\n                $el.style.position = 'relative'\r\n            }\r\n\r\n            // 原生创建一个span 作为插入的虚拟节点\r\n            const ficSpan = document.createElement('span')\r\n            //创建之后插入到$el实例中\r\n            $el.appendChild(ficSpan)\r\n\r\n            let argList = []\r\n            if ((0,_utils_isStringEmpty__WEBPACK_IMPORTED_MODULE_0__[\"default\"])(binding.arg)) {\r\n                // 默认为10px间距\r\n                argList = [expandSize]\r\n            } else {\r\n                argList = binding.arg.split('*')\r\n            }\r\n\r\n            const offset = {\r\n                // 用于调整至中心位置\r\n                top: 0,\r\n                left: 0,\r\n            }\r\n            // 测试用例背景色\r\n            ficSpan.style.background = 'transparent'\r\n            const posWidth = parseInt(pos.width)\r\n            const posHeight = parseInt(pos.height)\r\n            switch (argList.length) {\r\n                case 1: {\r\n                    // 上下左右四个方向都是同样的值\r\n                    const length = parseInt(argList[0]) * 2\r\n                    let verticalSize = (posWidth + length) / 2\r\n                    let horizontalSize = (posHeight + length) / 2\r\n                    ficSpan.style.paddingLeft = `${verticalSize}px`\r\n                    ficSpan.style.paddingRight = `${verticalSize}px`\r\n                    ficSpan.style.paddingTop = `${horizontalSize}px`\r\n                    ficSpan.style.paddingBottom = `${horizontalSize}px`\r\n                    offset.top = offset.left = length\r\n                    break\r\n                }\r\n                case 2: {\r\n                    const height = parseInt(argList[0]) * 2\r\n                    const width = parseInt(argList[1]) * 2\r\n                    let verticalSize = (posWidth + width) / 2\r\n                    let horizontalSize = (posHeight + height) / 2\r\n                    ficSpan.style.paddingLeft = `${verticalSize}px`\r\n                    ficSpan.style.paddingRight = `${verticalSize}px`\r\n                    ficSpan.style.paddingTop = `${horizontalSize}px`\r\n                    ficSpan.style.paddingBottom = `${horizontalSize}px`\r\n                    offset.left = width\r\n                    offset.top = height\r\n                    break\r\n                }\r\n                case 3: {\r\n                    const top = parseInt(argList[0])\r\n                    const bottom = parseInt(argList[2])\r\n                    const width = parseInt(argList[1])\r\n                    ficSpan.style.paddingLeft = `${(posWidth + (width * 2)) / 2}px`\r\n                    ficSpan.style.paddingRight = `${(posWidth + (width * 2)) / 2}px`\r\n                    ficSpan.style.paddingTop = `${(posHeight + (top * 2)) / 2}px`\r\n                    ficSpan.style.paddingBottom = `${(posHeight + (bottom * 2)) / 2}px`\r\n                    offset.left = width * 2\r\n                    offset.top = top * 2\r\n                    break\r\n                }\r\n                case 4: {\r\n                    const top = parseInt(argList[0])\r\n                    const right = parseInt(argList[1])\r\n                    const bottom = parseInt(argList[2])\r\n                    const left = parseInt(argList[3])\r\n                    ficSpan.style.paddingLeft = `${(posWidth + (left * 2)) / 2}px`\r\n                    ficSpan.style.paddingRight = `${(posWidth + (right * 2)) / 2}px`\r\n                    ficSpan.style.paddingTop = `${(posHeight + (top * 2)) / 2}px`\r\n                    ficSpan.style.paddingBottom = `${(posHeight + (bottom * 2)) / 2}px`\r\n                    offset.left = left * 2\r\n                    offset.top = top * 2\r\n                    break\r\n                }\r\n            }\r\n            // 绝对定位设置在父元素的中心\r\n            ficSpan.style.position = 'absolute'\r\n            ficSpan.style.top = '0'\r\n            ficSpan.style.left = '0'\r\n            ficSpan.style.marginTop = `-${offset.top / 2}px`\r\n            ficSpan.style.marginLeft = `-${offset.left / 2}px`\r\n        } catch (e) {\r\n            console.error('[easy-project-vue warn]:', e)\r\n        }\r\n\r\n    },\r\n}\r\n\r\n/* harmony default export */ __webpack_exports__[\"default\"] = (expandclick);\r\n\n\n//# sourceURL=webpack://easy-project-directives/./directives/modules/expandclick.js?");

/***/ }),

/***/ "./utils/isStringEmpty.js":
/*!********************************!*\
  !*** ./utils/isStringEmpty.js ***!
  \********************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

eval("__webpack_require__.r(__webpack_exports__);\n/**\r\n * @description: 判断字符串是否为空字符串（含空格）、null、undefined、或其他数据类型。\r\n * @param {*} str\r\n * @return {boolean}\r\n * @author: hekai\r\n */\r\nfunction isStringEmpty(str) {\r\n    if (str && str.constructor === String) {\r\n        return str === '' || str.trim().length === 0\r\n    }\r\n    //不为字符串则直接判断为空\r\n    return true\r\n}\r\n\r\n/* harmony default export */ __webpack_exports__[\"default\"] = (isStringEmpty);\r\n\n\n//# sourceURL=webpack://easy-project-directives/./utils/isStringEmpty.js?");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module can't be inlined because the eval devtool is used.
/******/ 	var __webpack_exports__ = __webpack_require__("./directives/modules/expandclick.js");
/******/ 	
/******/ 	return __webpack_exports__;
/******/ })()
;
});