/**
 * @description: 判断数组是否为空数组、null、undefined、或其他数据类型。
 * @param {*} array
 * @return {boolean}
 * @author: hekai
 */
function isArrayEmpty(array) {
    if (array instanceof Array) {
        return array.length === 0
    }
    //不为数组则直接判断为空
    return true
}

export default isArrayEmpty
