/**
 * @description: 判断数字是否为0、NaN、null、undefined、或其他数据类型。当数字为正常的非零值时，返回false
 * @param {*} number
 * @return {boolean}
 * @author: hekai
 */
function isNumberEmpty(number) {
    if (number && number.constructor === Number) {
        return number === 0
    }
    return true
}

export default isNumberEmpty
