/**
 * @description: 判断字符串是否为空字符串（含空格）、null、undefined、或其他数据类型。
 * @param {*} str
 * @return {boolean}
 * @author: hekai
 */
function isStringEmpty(str) {
    if (str && str.constructor === String) {
        return str === '' || str.trim().length === 0
    }
    //不为字符串则直接判断为空
    return true
}

export default isStringEmpty
