/**
 * 判断对象是否为空对象、null、undefined、或其他数据类型。
 * @param {*} obj
 * @returns {boolean}
 */
function isObjectEmpty(obj) {
    if (obj && obj.constructor === Object) {
        return JSON.stringify(obj) === "{}"
    }

    //不为对象则直接判断为空
    return true
}

export default isObjectEmpty
